
#ifndef __VBINTERFACE_H_
#define __VBINTERFACE_H_
/**************************************************************************************
* This file is part of the GameFramework project released by Wazoo Enterprises Inc.
* under the GNU Public License. 
*
* Any projects using this code must attach these copyright notices along with their
* own as outlined at http://www.gnu.org
*
* Copyright 2003 by Wazoo Enterprises Inc.
* To contact the auther, send a message to wazoo@wazooenterprises.com
*
****************************************************************************************/


#include <windows.h>
#include <d3dx8.h>

class vbInterface {

protected:


public:
	vbInterface(){};
	virtual ~vbInterface(){};

	virtual HRESULT createVB(int, VOID* = NULL) = 0;
	virtual void destroyVB() = 0;

	virtual HRESULT lockVB() = 0;
	virtual void unlockVB()  = 0;

	virtual void addTriToVB(D3DXVECTOR3 pos,
		FLOAT r, FLOAT g, FLOAT b, FLOAT a) = 0;

	virtual void flushVB() = 0;

};


#endif 